Subject: Re: bug#7489: [coreutils] over aggressive threads in sort

From: Chen Guo <[email-masked]>
Date: Tue, 7 Dec 2010 13:01:56 -0800

Hi Jim,

On Tue, Dec 7, 2010 at 3:24 AM, Jim Meyering <[email-masked]> wrote:
> Hi Chen,
>
> Thanks.  What does your input file look like?
> I've been unable to reproduce the failure using the output of
> seq 1000000.  I've tried a few different -S ... options, in case
> the amount of available memory is a factor:
>
>  seq 1000000 > in-1M
>  for i in $(seq 1000); do \
>    printf '%03d\r' $i; src/sort --parallel=2 -S 1M in-1M > /dev/null; done
>

The input file I used was generated with gensort
(http://www.ordinal.com/gensort.html)
I used the -a 1000000 to generate a 1 million line ASCII file. Running
sort 10 times on 2 or 4 threads almost always triggered at least 1
segfault.